#' Heshun human population
#'
#' The \code{hs.data} dataset consists of three \code{sf} objects:
#' \itemize{
#' \item\code{hs.data[[1]]}: Human population of 167 sampling villages within the Heshun region, China, which serves as the sampling layer. The sampling attribute is \code{Population}.
#' \item\code{hs.data[[2]]}: A zonation map with 5 strata that serves as a candidate SSH layer.
#' \item\code{hs.data[[3]]}: The administrative division of 10 townships in Heshun county that served as the reporting layer.}
#'
#' @references Li, L., Wang, J., & Wu, J. (2012). A spatial model to predict the incidence of neural tube defects. \emph{BMC Public Health}, 12(1), 951.
#'
#' @import sf
#' @docType data
#' @name hs.data
#'
#' @examples
#' data(hs.data)
NULL
