#' Prepare text data for Geodetector
#'
#' @description
#' Prepare the input from text files for the geographical detector model.
#'
#' @usage ssh.data.txt(object)
#'
#' @param object A list of two data frames generated by \code{\link{load.data.txt}}, including a file linking sampling and SSH layers linking reporting and SSH layers and a file.
#'
#' @return A list of two data frames.
#'
#' @import sf dplyr
#' @name ssh.data.txt
#' @export
#'
#' @examples
#' data(bc.data)
#' bc.join <- ssh.data.txt(object=bc.data)
# ---- End of roxygen documentation ----

ssh.data.txt <- function(object){

  object[[1]]
}
